Purchasing Rfq Lines
The purchasing rfq lines resource.
Basehttps://rest.carbon.ms/purchasingRfqLines
GET
/purchasingRfqLinesList purchasing rfq liness
Retrieve a paginated list of purchasing rfq liness. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/purchasingRfqLines
curl --request GET \
--url 'https://rest.carbon.ms/purchasingRfqLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"purchasingRfqId": "xyz789",
"itemId": "xyz789",
"description": "string",
"quantity": [],
"purchaseUnitOfMeasureCode": "string",
"inventoryUnitOfMeasureCode": "string",
"conversionFactor": 0
}
]GET
/purchasingRfqLinesRetrieve a purchasing rfq lines
Fetch a single purchasing rfq lines by filtering on `id`.
Query parameters
idstringMatch on the purchasing rfq lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/purchasingRfqLines
curl --request GET \
--url 'https://rest.carbon.ms/purchasingRfqLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"purchasingRfqId": "xyz789",
"itemId": "xyz789",
"description": "string",
"quantity": [],
"purchaseUnitOfMeasureCode": "string",
"inventoryUnitOfMeasureCode": "string",
"conversionFactor": 0
}